Available in VPC
Add a DB user to a Cloud DB for MongoDB instance.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmongodb/v2/addCloudMongoDbUserList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for MongoDB instance whose DB user you want to add
|
cloudMongoDbInstanceNo |
String | Required | Instance number of Cloud DB for MongoDB |
cloudMongoDbUserList.N.userName |
List[String] | Required | User ID list to add to the Cloud DB for MongoDB instance
|
cloudMongoDbUserList.N.databaseName |
List[String] | Required | List of Cloud DB for MongoDB DB names to add the DB user to
|
cloudMongoDbUserList.N.password |
List[String] | Required | DB user account password
|
cloudMongoDbUserList.N.authority |
List[String] | Required | List of permissions to grant to the DB user
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/addCloudMongoDbUserList
?regionCode=KR
&cloudMongoDbInstanceNo=2442****
&cloudMongoDbUserList.1.userName=user001
&cloudMongoDbUserList.1.databaseName=db001
&cloudMongoDbUserList.1.password=********
&cloudMongoDbUserList.1.authority=READ
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.
Response example
The following is a sample response.
-
If
responseFormatType=json{ "addCloudMongoDbUserListResponse": { "requestId": "1d40e0fa-****-****-****-d9eccc536f7b", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <addCloudMongoDbUserListResponse> <requestId>1d40e0fa-****-****-****-d9eccc536f7b</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> </addCloudMongoDbUserListResponse>